# Index of examples

Various examples of definitions of curves, surfaces and operators.

The are three main types of files here. 
* Files ending `.defs` like `asurf.defs` contain examples that are loaded in the examples menu at start-up. Each file contains examples of the the same type of object. 
* Files ending `.def` contain a single definition.  
* Files ending `.scene` contain a set of linked definitions

## Standard definitions

* `acurve.defs` algebraic curves in 2D
* `acurve3.defs` algebraic curves in 3D defined by two equations
* `asurf.defs` algebraic surfaces in 3D
* `biint.defs` intersections defined by a pair of curves, eg pre-images of symmetry sets
* `bimap.defs` mappings defined by a pair of curves
* `clip.defs` Clippings defined by an equation 
* `genclip.defs` Clippings defined by an input surface
* `colour.defs` define the colour of surface
* `gencolour.defs` colouring using the definition of a parameterised surface, like colouring by Gaussian curvature
* `gencolourimplicit.defs` colouring using the definition of an implicit surface
* `extrude.defs` extruded shapes like surfaces of revolution 
* `genextrude.defs` extruded shapes where the definition depends on the definition of a surface, like a tangent developable 
* `icurve.defs` integral curves
* `genicurve.defs` integral curves depending on a surface, like principal curves
* `genicurveimplicit.defs`integral curves depending on an implicit surface
* `intersect.defs` intersections using an equation
* `genint.defs` intersections using the definition of a parameterised surface
* `genintimplicit.defs` intersections using the definition of an implicit surface
* `mapping.defs` mappings from R³ to R³	
* `genmap.defs` mappings that used the definition of surface
* `genmapimplicit.defs` mappings that used the definition of an implicit surface
* `genmappcurve.defs` mappings that used the definition of parameterised curve
* `p3.defs` Projective surfaces in RP³
* `pcurve.defs` parameterised curves
* `psurf.defs` parameterised surfaces
* `ridge.defs` ridge curve like definitions depending on a surface and vector field 
* `vfield.defs` vector fields
* `genvfield.defs` vector fields depending on the definition of a surface, like principal directions
* `genvfieldimplicit.defs` vector fields depending on the definition of an implicit surface

Additionally
* `cubics.defs` contains definitions of cubic algebraic surfaces

## Scene descriptions

Contained in the [scenes](scenes) directory.

* `conic_section.scene` A cone, a plane and their intersection.
* `focal surface implicit.scene` An implicit surface, it's focal surfaces and a parallel surface
* `profile.scene` A surface and it's profile when viewed from a particular direction
* `symmetry_set.scene` A closed curve and its symmetry set
* `symmetry_set 2.scene` A closed curve and its symmetry set, using 2 displays.
* `gauss_map.scene` A cusp of the Gauss map
* `curve with evolute and normals.scene` A curve, it's evolute and normals lines
* `tangent developable.scene` tangent developable of a rhamphoid cusp

